# WOK
TKWOK
WOKBuilder

# WOKBuilder_Archiver Class Reference

`#include <WOKBuilder_Archiver.hxx>`

Inheritance diagram for WOKBuilder_Archiver:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_Archiver (const WOKUtils_Param &params)
virtual Standard_EXPORT void | Load ()
Standard_EXPORT void | SetObjectList (const Handle(WOKBuilder_HSequenceOfObjectFile)&objects)
Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile | ObjectList () const
Standard_EXPORT Handle_TCollection_HAsciiString | TargetName () const
Standard_EXPORT void | SetTargetName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKBuilder_HSequenceOfObjectFile | myobjects
Handle_TCollection_HAsciiString | mytarget

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_Archiver::WOKBuilder_Archiver | ( | const WOKUtils_Param & | params | ) |

## Member Function Documentation

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_Archiver::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT const WOKBuilder_Archiver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell.

virtual Standard_EXPORT void WOKBuilder_Archiver::Load | ( |  | ) | `[virtual]`

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile WOKBuilder_Archiver::ObjectList | ( |  | ) | const

Standard_EXPORT void WOKBuilder_Archiver::SetObjectList | ( | const Handle(WOKBuilder_HSequenceOfObjectFile)& | objects | ) |

Standard_EXPORT void WOKBuilder_Archiver::SetTargetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Archiver::TargetName | ( |  | ) | const

## Field Documentation

Handle_WOKBuilder_HSequenceOfObjectFile WOKBuilder_Archiver::myobjects `[private]`

Handle_TCollection_HAsciiString WOKBuilder_Archiver::mytarget `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_Archiver.hxx